import type { OnDestroy, OnInit } from '@angular/core';
import { ElementRef } from '@angular/core';
import { NgbPopover } from '@ng-bootstrap/ng-bootstrap';
import { TourAnchorDirective } from 'ngx-ui-tour-core';
import { NgbTourService } from './ng-bootstrap-tour.service';
import { INgbStepOption } from './step-option.interface';
import { TourStepTemplateService } from './tour-step-template.service';
import * as i0 from "@angular/core";
import * as i1 from "@ng-bootstrap/ng-bootstrap";
export declare class TourAnchorNgBootstrapDirective implements OnInit, OnDestroy, TourAnchorDirective {
    private tourService;
    private tourStepTemplate;
    element: ElementRef;
    private popoverDirective;
    tourAnchor: string;
    isActive: boolean;
    constructor(tourService: NgbTourService, tourStepTemplate: TourStepTemplateService, element: ElementRef, popoverDirective: NgbPopover);
    ngOnInit(): void;
    ngOnDestroy(): void;
    showTourStep(step: INgbStepOption): Promise<void>;
    private setOffsetModifier;
    hideTourStep(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TourAnchorNgBootstrapDirective, [null, null, null, { host: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TourAnchorNgBootstrapDirective, "[tourAnchor]", never, { "tourAnchor": { "alias": "tourAnchor"; "required": false; }; }, {}, never, never, true, [{ directive: typeof i1.NgbPopover; inputs: {}; outputs: {}; }]>;
}
